> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kollie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign Config

> Gets the configuration for a specific campaign.

Retrieves the configuration settings for a specific campaign.

### Path Parameters

<ParamField query="campaign_id" type="string" required>
  The unique identifier of the campaign
</ParamField>

### Response

<ResponseField name="message" type="string">
  A message indicating the result of the operation
</ResponseField>

<ResponseField name="meta" type="object">
  Additional metadata about the response
</ResponseField>

<ResponseField name="data" type="object">
  The campaign configuration object containing:

  * call\_on\_weekend: boolean - Whether to make calls on weekends
  * queue\_again: boolean - Whether to queue calls again
  * call\_back\_attempts: integer - Number of callback attempts
  * campaign\_id: string - The ID of the campaign
  * id: string - The ID of the config
  * created\_at: string - Timestamp of when the config was created
</ResponseField>


## OpenAPI

````yaml GET /api/v1/campaigns/{campaign_id}/config
openapi: 3.1.0
info:
  title: kollie-backend
  version: v1
servers: []
security: []
paths:
  /api/v1/campaigns/{campaign_id}/config:
    get:
      tags:
        - campaigns
      summary: Get Campaigns Config
      description: Gets a campaign`s config for user org
      operationId: get_campaigns_config_api_v1_campaigns__campaign_id__config_get
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Campaign Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponseBase'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponseBase:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data got correctly
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - {}
            - type: 'null'
          title: Data
      type: object
      title: IGetResponseBase
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    HTTPBearer:
      type: http
      scheme: bearer

````